Lucene search

K
rockyRockylinux Product ErrataRLSA-2022:5696
HistoryJul 25, 2022 - 1:45 p.m.

java-1.8.0-openjdk security, bug fix, and enhancement update

2022-07-2513:45:21
Rockylinux Product Errata
errata.rockylinux.org
33

0.002 Low

EPSS

Percentile

53.1%

An update is available for java-1.8.0-openjdk.
This update affects Rocky Linux 8.
A Common Vulnerability Scoring System (CVSS) base score, which gives a detailed severity rating, is available for each vulnerability from the CVE list
The java-1.8.0-openjdk packages provide the OpenJDK 8 Java Runtime Environment and the OpenJDK 8 Java Software Development Kit.

The following packages have been upgraded to a later upstream version: java-1.8.0-openjdk (1.8.0.342.b07). (BZ#2084648)

Security Fix(es):

  • OpenJDK: integer truncation issue in Xalan-J (JAXP, 8285407) (CVE-2022-34169)

  • OpenJDK: class compilation issue (Hotspot, 8281859) (CVE-2022-21540)

  • OpenJDK: improper restriction of MethodHandle.invokeBasic() (Hotspot, 8281866) (CVE-2022-21541)

For more details about the security issue(s), including the impact, a CVSS score, acknowledgments, and other related information, refer to the CVE page(s) listed in the References section.

Bug Fix(es):

  • rh1991003 patch breaks sun.security.pkcs11.wrapper.PKCS11.getInstance() [Rocky Linux-8, openjdk-8] (BZ#2099911)

  • Revert to disabling system security properties and FIPS mode support together [Rocky Linux-8, openjdk-8] (BZ#2108564)

  • SecretKey generate/import operations don’t add the CKA_SIGN attribute in FIPS mode [Rocky Linux-8, openjdk-8] (BZ#2108566)